// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "stationlistmodel.h"
#include "stationlistwidget.h"
#include <KXmlGuiWindow>
 
class MainWindow : public KXmlGuiWindow
{
  Q_OBJECT

  public:
    MainWindow(QWidget *parent=0);
    virtual ~MainWindow();
               
  private:
    QPointer<stationlistWidget> m_streamlistwidget;

  private slots:
    void display_global_settings_dialog();
    void displayTipOfDay();
    void selectAll();
};
 
#endif
