// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#include "get_stream_info.h"

get_stream_info::get_stream_info(const QPointer<QObject> parent) : ripping(parent)
{
}

get_stream_info::~get_stream_info()
{
}

QString get_stream_info::serverUri() const
{
  return internal_serverUri;
}

void get_stream_info::setServerUri(const QString& serverUri)
{
  internal_serverUri=serverUri;
}

QStringList get_stream_info::parameterList() const
{
  // variables
  QStringList parameters;

  //code
  // calculate all parameters
  parameters += ripping::parameterList();

  parameters.append("-M");
  parameters.append("0");  // stop after the stream starts

  parameters.append("-A");  // don't write any files...

  return parameters;
}
