// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#include "settings_stream_widget_saving.h"

#define AND  && 
#define OR  || 
#define NOT  ! 
#define EQUAL  == 
 
settings_stream_widget_saving::settings_stream_widget_saving(QWidget *parent) : QWidget(parent)
{
  setupUi(this);
  connect( kcfg_splittedFilesOverwrite,
           SIGNAL(currentIndexChanged(int)),
           this,
           SLOT	(handleCheckboxTruncate(int))
         );
}

settings_stream_widget_saving::~settings_stream_widget_saving()
{
}

void settings_stream_widget_saving::handleCheckboxTruncate(const int & entry_number)
{
  if (entry_number EQUAL 0)
    kcfg_truncateDuplicatesInIncomplete->setEnabled(false);
  else
    kcfg_truncateDuplicatesInIncomplete->setEnabled(true);
}

