// (c) Tim Fechtner. Licenced under GPL 2 (yes, version 2 only!).

#ifndef SETTINGS_GENERAL_DIALOG_H
#define SETTINGS_GENERAL_DIALOG_H

#include "settings_general.h"
#include <QWidget>
#include <QPointer>
#include <kconfigdialog.h>
 

/** */
class settings_general_dialog : public KConfigDialog
{
  Q_OBJECT

  public:
    /** The constructor.
        @param parent Pass a QWidget as parent - the dialog is centered to this widget.
        @param name Set a name for this object. You can read the name later using the property "objectName" (class QObject) */
    settings_general_dialog(QWidget* parent, const QString& name);
    virtual ~settings_general_dialog();
  protected slots:
    virtual void updateSettings();  // reimplemented from KConfigDialog
};
 
#endif





